System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

FPUpdater tool to address Java Security bulletin

 

FPUpdater tool to address Java Security bulletin

Has anyone had any success using the FPUdater tool to update JDK and JRE software to address the Java Security bulletin. I have attempted to use it, but it just hangs after issuing the following messages:
whsemr03:/# $JRE_HOME/bin/java -jar /home/misrek/fpupdater.jar -u -v
FPUpdater
java.home: /opt/java1.5/jre
java.vendor: Hewlett-Packard Co.
java.version: 1.5.0.17
os.name: HP-UX
Checking for update for major: 1.5.0 minor: 17
Retrieved update jar file from tool: /opt/java1.5/jre/tmpUpdate6626938524382866381/tmpUpdate9196279006337574830.jar
Updating files. Please note this can take several minutes to run. Allow FPUpdater tool to complete.

I've given it several hours. It does nothing.

Thanks,
Randy
5 REPLIES
Steven E. Protter
Exalted Contributor

Re: FPUpdater tool to address Java Security bulletin

Shalom Randy,

Most applications like Oracle come with their own java these days.

That being said, http://www.hp.com/go/java

Has current updates for OS java and should be used to handle these updates.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com

Re: FPUpdater tool to address Java Security bulletin

Actually that's where I got the FPUpdater tool.
Viktor Balogh
Honored Contributor

Re: FPUpdater tool to address Java Security bulletin

>I've given it several hours. It does nothing.

Shouldn't take several hours. But you might check with tusc what it does or does not...

http://hpux.connect.org.uk/hppd/hpux/Sysadmin/tusc-8.0/
****
Unix operates with beer.
Viktor Balogh
Honored Contributor

Re: FPUpdater tool to address Java Security bulletin

also check the logfile for any errors

/lib/.fpupdater.log
****
Unix operates with beer.

Re: FPUpdater tool to address Java Security bulletin

Had to export PTHREAD_COMPAT_MODE=1 to get the tool to work on Java 5.